## org.eclipse.emf.ecore.resource
Interface ContentHandler.Registry

All Superinterfaces:
  java.util.Map<java.lang.Integer,java.util.List<ContentHandler>>, java.util.SortedMap<java.lang.Integer,java.util.List<ContentHandler>>

All Known Implementing Classes:
  ContentHandlerRegistryImpl

Enclosing interface:
  ContentHandler

    public static interface ContentHandler.Registry

extends java.util.SortedMap<java.lang.Integer,java.util.List<ContentHandler>>

A registry of content handlers based on a priority order; lower values indicate have higher priority.

Nested Class Summary

Nested classes/interfaces inherited from interface java.util.Map
`java.util.Map.Entry<K,V>`

Field Summary
`static int` `HIGH_PRIORITY` A constant indicating a high priority content handler.
`static ContentHandler.Registry` `INSTANCE` The global static content handler registry instance.
`static int` `LOW_PRIORITY` A constant indicating a low priority content handler.
`static int` `NORMAL_PRIORITY` A constant indicating a normal priority content handler.
`static int` `VERY_HIGH_PRIORITY` A constant indicating a very high priority content handler.
`static int` `VERY_LOW_PRIORITY` A constant indicating a very low priority content handler.

Method Summary
`java.util.List<ContentHandler>` `contentHandlers()` Returns a read only list of all the content handlers in the map in priority order.
`void` `put(int priority, ContentHandler contentHandler)` Adds an additional content handler with the given priority to the map.

Methods inherited from interface java.util.SortedMap
`comparator, firstKey, headMap, lastKey, subMap, tailMap`

Methods inherited from interface java.util.Map
`clear, containsKey, containsValue, entrySet, equals, get, hashCode, isEmpty, keySet, put, putAll, remove, size, values`

Field Detail

### VERY_HIGH_PRIORITY

    static final int VERY_HIGH_PRIORITY

  A constant indicating a very high priority content handler.

  See Also:
    Constant Field Values

### HIGH_PRIORITY

    static final int HIGH_PRIORITY

  A constant indicating a high priority content handler.

  See Also:
    Constant Field Values

### NORMAL_PRIORITY

    static final int NORMAL_PRIORITY

  A constant indicating a normal priority content handler.

  See Also:
    Constant Field Values

### LOW_PRIORITY

    static final int LOW_PRIORITY

  A constant indicating a low priority content handler.

  See Also:
    Constant Field Values

### VERY_LOW_PRIORITY

    static final int VERY_LOW_PRIORITY

  A constant indicating a very low priority content handler.

  See Also:
    Constant Field Values

### INSTANCE

    static final ContentHandler.Registry INSTANCE

  The global static content handler registry instance.

Method Detail

### put

    void put(int priority,
             ContentHandler contentHandler)

  Adds an additional content handler with the given priority to the map. If there is already a list for the given priority in the map, the handler is added to that list. Otherwise, a new list containing the handler is created and put into the map.

  Parameters:
    `priority` - the priority of the handler.
    `contentHandler` - the new handler to add.

### contentHandlers

    java.util.List<ContentHandler> contentHandlers()

  Returns a read only list of all the content handlers in the map in priority order.

  Returns:
    a read only list of all the content handlers in the map in priority order.

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.